Page MenuHomePhabricator

Stop branching & deploying WikibaseQuality extension
Closed, ResolvedPublic

Description

This extension has stopped being loaded in production as of T205064

This ticket should serve as the place to finish the undeployment process, which I guess includes stop branching the extension & any other cleanup.

Once that happens we can T205065 archive the extension.

This ticket only applies to the "WikibaseQuality" extension and not the "WikibaseQualityConstraints" extension

Event Timeline

Addshore created this task.Nov 1 2018, 2:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 1 2018, 2:16 PM
Addshore triaged this task as Normal priority.Nov 1 2018, 2:16 PM
Addshore moved this task from incoming to monitoring on the Wikidata board.

Change 486509 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Removed WikibaseQuality from extensions-list

https://gerrit.wikimedia.org/r/486509

Change 486509 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Removed WikibaseQuality from extensions-list
https://gerrit.wikimedia.org/r/486509

Is this ok for merging? @Addshore @greg

Change 486509 merged by jenkins-bot:
[operations/mediawiki-config@master] Removed WikibaseQuality from extensions-list

https://gerrit.wikimedia.org/r/486509

Mentioned in SAL (#wikimedia-operations) [2019-02-03T04:55:20Z] <legoktm@deploy1001> Synchronized wmf-config/extension-list: Remove WikibaseQuality from extensions-list (T208499) (duration: 00m 51s)

Change 487623 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] Stop deploying WikibaseQuality

https://gerrit.wikimedia.org/r/487623

Change 487623 merged by jenkins-bot:
[mediawiki/tools/release@master] Stop deploying WikibaseQuality

https://gerrit.wikimedia.org/r/487623

hashar added a subscriber: hashar.Feb 4 2019, 11:38 AM

WikibaseQuality should thus not be cut on Feb 5th when 1.33.0-wmf.16 is cut. The deploy task is T206670

mmodell closed this task as Resolved.Feb 12 2019, 5:11 PM
mmodell assigned this task to Legoktm.
mmodell added a subscriber: mmodell.

Indeed I verified that WikibaseQuality was not included in 1.33.0-wmf.16